CommetCommet
GitHubDiscordStatus
Activate add-on POSTCreate add-on POSTDeactivate add-on DELETEDelete add-on DELETEGet add-on GETList active add-ons GETList add-ons GETUpdate add-on PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List active add-ons

List all active add-ons for a customer's subscription.

GET
/active-addons

List all active add-ons for a customer's subscription.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/active-addons?customerId=string"
{  "object": "list",  "data": [    {      "slug": "extra-api-calls",      "name": "Extra API calls",      "basePrice": 1000,      "featureCode": "api_calls",      "featureName": "API Calls",      "featureType": "usage",      "consumptionModel": "metered",      "activatedAt": "2026-09-07T12:00:00.000Z",      "object": "subscription_addon",      "livemode": false    }  ],  "hasMore": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get add-on GET

Retrieve an add-on by its public ID or slug.

List add-ons GET

List all add-ons with cursor-based pagination.